# pentachora

## Name

pentachora — The pentachora forming a 4-dimensional triangulation

## Synopsis

Content Model

    pentachora ::= (pent*)

Attributes
Name | Type
`npent` | NUMBER (required)

## Description

A `pentachora` element stores the entire set of pentachora that form a 4-dimensional triangulation.

The total number of pentachora must be specified by the `npent` attribute. The individual pentachora are numbered 0, 1, 2, etc., and their facet gluings are described by the corresponding child `pent` elements. There must be precisely `npent` child `pent` elements in total.

### Parents

The following elements contain `pentachora`: `packet` (4-dimensional triangulation).

### Children

The following elements occur in `pentachora`: `pent`.

## Attributes

`npent`

  The total number of pentachora in this set. Note that there must be precisely this many child `pent` elements.

## Example

The following XML snippet represents a triangulation of the product B3×S1, formed from two pentachora.

    <pentachora npent="2">
      <pent> 1 13380 -1 -1 -1 -1 -1 -1 1 2257 </pent>
      <pent> 0 13380 -1 -1 -1 -1 -1 -1 0 2257 </pent>
    </pentachora>